# B2B Virtual Account Payment Method
Flexible and secure payment method for B2B market segments using virtual accounts.

## Version: 1

### Servers

| URL | Description |
| --- | ----------- |
| https://sandbox.api.visa.com | Sandbox server |

---
## Single Use Account Pool Maintenance Service
The Proxy web service is used for managing a pool of Single-Use Accounts (SUAs) linked to a proxy. With this web service, you can create proxy pool(s) for a buyer, update details of the proxy, delete unused pools and get details about an existing pool(e.g. number of available accounts).

### [POST] /vpa/v1/proxy/ManageProxy
**Manage Proxy**

#### Request Body

| Required | Schema |
| -------- | ------ |
|  Yes | **application/json**: { **"buyerId"**: string, **"clientId"**: string, **"messageId"**: string, **"actionType"**: string, **"proxyAccountDetails"**: { **"proxyNumber"**: string, **"accountLimit"**: string, **"accountNumber"**: string, **"expirationDate"**: string, **"totalAccountsRequested"**: string } }<br> |

#### Responses

| Code | Description | Schema |
| ---- | ----------- | ------ |
| 201 | Created | **application/json**: { **"ManageProxyResponse"**: { **"messageId"**: string, **"statusCode"**: string, **"statusDesc"**: string, **"accountRequestId"**: string } }<br> |
| 400 | Error Codes | **application/json**: { **"MPA001"**: object, **"MPA002"**: object, **"MPA003"**: object, **"MPA004"**: object, **"MPA005"**: object, **"MPA006"**: object, **"MPA007"**: object, **"MPA008"**: object, **"MPA009"**: object, **"MPA010"**: object, **"MPA011"**: object, **"MPA012"**: object, **"MPA013"**: object, **"MPA502"**: object, **"MPA503"**: object, **"MPA504"**: object, **"MPA505"**: object, **"MPA506"**: object, **"MPA507"**: object, **"MPA508"**: object, **"MPA509"**: object, **"MPA510"**: object, **"MPA511"**: object, **"MPA512"**: object, **"MPA513"**: object, **"MPA514"**: object, **"MPA515"**: object, **"MPA516"**: object, **"MPA517"**: object, **"MPA518"**: object, **"MPA519"**: object, **"MPA520"**: object, **"MPA521"**: object, **"MPA522"**: object, **"MPA523"**: object, **"MPA524"**: object, **"MPA525"**: object, **"MPA527"**: object, **"MPA531"**: object, **"MPA532"**: object, **"MPA533"**: object, **"MPA534"**: object, **"MPA535"**: object, **"MPA536"**: object, **"MPA537"**: object, **"MPA538"**: object, **"MPA539"**: object, **"MPA540"**: object, **"MPA541"**: object, **"MPA560"**: object, **"MPA566"**: object, **"MPA567"**: object, **"MPA503a"**: object, **"MPA503b"**: object }<br> |
